#ifndef SCENEVIEW_H
#define SCENEVIEW_H

#include <QWidget>
#include <QDesktopWidget>
#include <QPainter>
#include <vector>
#include <QKeyEvent>
#include "point.h"
#include "dukemap.h"
#include "camera.h"


class SceneView : public QWidget
{
    Q_OBJECT


protected:
    void paintEvent(QPaintEvent *);
    void keyPressEvent(QKeyEvent *event);
    void mousePressEvent(QMouseEvent * event);
    void mouseReleaseEvent(QMouseEvent * event);
    void mouseMoveEvent(QMouseEvent * event);
    void wheelEvent(QWheelEvent *event);

public:
    explicit SceneView(QWidget *parent = 0);
    ~SceneView();

    Camera camera;
    Scene* scene;

signals:

public slots:

};

#endif // PAINTBOX_H
